Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.stax
Class ElementWriter

    java.lang.Object
      org.codehaus.xfire.aegis.AbstractMessageWriter
          org.codehaus.xfire.aegis.stax.ElementWriter

All Implemented Interfaces:
  MessageWriter

    public class ElementWriter

extends AbstractMessageWriter
implements MessageWriter

LiteralWriter

Author:
  Dan Diephouse

Constructor Summary
`ElementWriter(java.io.OutputStream os, java.lang.String name, java.lang.String namespace)`
`ElementWriter(javax.xml.stream.XMLStreamWriter writer)` Create a LiteralWriter but without writing an element name.
`ElementWriter(javax.xml.stream.XMLStreamWriter streamWriter, javax.xml.namespace.QName name)`
`ElementWriter(javax.xml.stream.XMLStreamWriter writer, java.lang.String name, java.lang.String namespace)`
`ElementWriter(javax.xml.stream.XMLStreamWriter writer, java.lang.String name, java.lang.String namespace, java.lang.String prefix)`

Method Summary
`void` | `close()` Tells the MessageWriter that writing operations are completed so it can write the end element.
`void` | `flush()`
`MessageWriter` | `getAttributeWriter(javax.xml.namespace.QName qname)`
`MessageWriter` | `getAttributeWriter(java.lang.String name)`
`MessageWriter` | `getAttributeWriter(java.lang.String name, java.lang.String namespace)`
`MessageWriter` | `getElementWriter(javax.xml.namespace.QName qname)`
`MessageWriter` | `getElementWriter(java.lang.String name)`
`MessageWriter` | `getElementWriter(java.lang.String name, java.lang.String ns)`
`java.lang.String` | `getNamespace()`
`javax.xml.stream.XMLStreamWriter` | `getXMLStreamWriter()`
`void` | `writeValue(java.lang.Object value)`

Methods inherited from class org.codehaus.xfire.aegis.AbstractMessageWriter
`writeValueAsBoolean, writeValueAsDouble, writeValueAsFloat, writeValueAsInt, writeValueAsLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.aegis.MessageWriter
`writeValueAsBoolean, writeValueAsDouble, writeValueAsFloat, writeValueAsInt, writeValueAsLong`

Constructor Detail

### ElementWriter

    public ElementWriter(javax.xml.stream.XMLStreamWriter writer)

  Create a LiteralWriter but without writing an element name.

  Parameters:
    `writer` -

### ElementWriter

    public ElementWriter(javax.xml.stream.XMLStreamWriter writer,
                         java.lang.String name,
                         java.lang.String namespace)

### ElementWriter

    public ElementWriter(javax.xml.stream.XMLStreamWriter streamWriter,
                         javax.xml.namespace.QName name)

### ElementWriter

    public ElementWriter(javax.xml.stream.XMLStreamWriter writer,
                         java.lang.String name,
                         java.lang.String namespace,
                         java.lang.String prefix)

### ElementWriter

    public ElementWriter(java.io.OutputStream os,
                         java.lang.String name,
                         java.lang.String namespace)
                  throws javax.xml.stream.XMLStreamException

Parameters:
  `os` -
Throws:
  `javax.xml.stream.XMLStreamException`

Method Detail

### writeValue

    public void writeValue(java.lang.Object value)

  Specified by:
    `writeValue` in interface `MessageWriter`
  See Also:
    `MessageWriter.writeValue(java.lang.Object)`

### getElementWriter

    public MessageWriter getElementWriter(java.lang.String name)

  Specified by:
    `getElementWriter` in interface `MessageWriter`
  See Also:
    `org.codehaus.xfire.aegis.MessageWriter#getWriter(java.lang.String)`

### getElementWriter

    public MessageWriter getElementWriter(java.lang.String name,
                                          java.lang.String ns)

  Specified by:
    `getElementWriter` in interface `MessageWriter`

### getElementWriter

    public MessageWriter getElementWriter(javax.xml.namespace.QName qname)

  Specified by:
    `getElementWriter` in interface `MessageWriter`

### getNamespace

    public java.lang.String getNamespace()

### close

    public void close()

  Description copied from interface: `MessageWriter`
  Tells the MessageWriter that writing operations are completed so it can write the end element.

  Specified by:
    `close` in interface `MessageWriter`

### flush

    public void flush()
               throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### getXMLStreamWriter

    public javax.xml.stream.XMLStreamWriter getXMLStreamWriter()

### getAttributeWriter

    public MessageWriter getAttributeWriter(java.lang.String name)

  Specified by:
    `getAttributeWriter` in interface `MessageWriter`

### getAttributeWriter

    public MessageWriter getAttributeWriter(java.lang.String name,
                                            java.lang.String namespace)

  Specified by:
    `getAttributeWriter` in interface `MessageWriter`

### getAttributeWriter

    public MessageWriter getAttributeWriter(javax.xml.namespace.QName qname)

  Specified by:
    `getAttributeWriter` in interface `MessageWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.